title: 为什么你要学公司金融（Corporate Finance)
date: 2016-08-26
tag: 公司金融

[TOC]

<!--Sidebar-->

通常来讲，一个公司可以通过投资实物资产来获得现金流(cash flow)和收入(income)。而资产有两种，一种是有形的资产，比如说设备，建筑等；另一种是看不见摸不着的无形资产，就像品牌，专利等。要获得这些资产有很多种手段，比如借贷，将投资收益进行再投资，或者也可以卖出一些股份来进行融资。在这种模式下，公司就会变得越来越健壮，但是这涉及到很多金融方面的知识。金融管理就是要研究金融经理是如何将持券人（债券）和股东（股票）手里的资本部署到可以升值的项目中的。

<!--公司理财(一) 简介-->
在这个过程中，通常问题集中在两个方面:

- 投资给谁？（如何选择投资对象)
- 怎么投资？（钱怎么花）

对于一个公司，总是有成百上千的股东，而每个股东的财力，风险承受能力等都是不一样的。但是他们都有同样的目标：挣钱啊。财务经理能够有效地投资并且快速的让公司变得更有价值，同时也能让股票升值。之前手里一股3块钱，现在变成6块，手里的钱就多了一倍。为了实现大众的目标，财务经理的策略是：

- 低价进行资金筹措
- 投资高利润率的基金

    
说白了，就是**低价买进，高价卖出**但是说起来容易做起来难，怎么才能够做到低价买进高价卖出呢？

这就是学习公司理财的意义。

<!--More-->
    
##投资和融资的决策

要进行商业活动，公司总得有无数的实体资产来支撑运作。但是，这些资产可不是天上掉下来的，更不是刮风抓来的，**是要花钱买的**。和我们平常所理解的街边商贩不同，街边小商贩通常通过利润积攒下来的资金来购买新的资产，而公司有别的办法————融资。就是将公司的财产分成股份卖出去，然后获得现金流：就好比把一栋大楼分成五十份，然后以证券形式卖出去，大家把这些证券买回来以后，公司就多了一栋楼的**现金**。那股民买回来这些东西有什么用呢，又不能把楼拆开搬回家去。所以其实，随着大楼价格的变动，他们手里股票价格可会随着波动，有波动就意味着有升值的可能，就有赚钱的可能，也算一种投资，而他们手里的股票。我们可以称之为金融资产(Financial Assets)或者证券(Securities)。**证券属于金融资产，但是金融资产并不全是证券**，证券，通俗来讲是一种可以在金融市场上流通的金融资产。

了解这些基本概念后，我们来回到公司的投资融资决策：
- 投资决策，就是把资金投出去来换取实际资产
- 融资决策，就是把实际资产拿出去卖掉获得现金流

这么说太简单了，因为不是所有的购买资产的决策都是好的决策--总是会有可能赔本的，融资也是一样。 一个好的决策，应该尽可能地**低价买进，高价卖出**。
###**投资决策（Investment)**

说到投资决策，我们不得不提到**资本预算**和**资本支出**，资本预算就是公司对未来投资计划的预算，而支出就是投资项目所承担的开销。一般来讲，一些大型公司都会有年度财政预算和一系列的未来投资规划。这些资本的投入都会在将来带给你回报，尽管这个周期可能会很长。当然，也有短线投资。无论是资本支出的量还是投资周期的长短，都会关系到获得收益的效率和资金的流动性。

###**融资决策(Financing)**

通常来讲，公司通过借贷或者从股东手里筹措资金的方式来进行融资。如果通过借贷的方式，一般会支付一个固定利率的利息；如果从股东手里筹措，那么他们手里的股份会变多，但是这个股份价值是会浮动的。这些股东可以称为**权益投资人**。这两种融资方式的选择和决策可以称为资本结构的决策。资本就是长期的融资。对于大公司来讲，融资的方式方法简直太多了:
- 它可以借钱：可以发行债券，从普通投资者手里借，也可以从银行贷款。借一年还是借十年？借多少？什么时候还钱？还多少？用什么货币结算？各种细节都需要进行考量。
- 它也可以融资来增加产权，这通常有两种方式：一种是股权融资 - 对外发行更多的股票，大家都来买，公司的现金流增加。一种是再投资，通过将已经挣来的钱再继续购买新的资产。

从某种意义上来讲，融资显得没有投资那么重要 —— 因为它挣不来钱，不能创造价值。但实际上，融资也很重要，因为融资的策略会和公司的健康度有关系，如果你的公司融资效率地下方式不当，可能会使公司负债累累。很简单的例子，高利贷。这也算是融资的方法，但是不是那么切实可行。借了钱，就有还不上的风险。财务经理在进行决策的时候需要意识到将遇到各种可能：好的一面和坏的一面。发行债券尽管会比股票更加稳定，但是如果滥用导致债务过重资不抵债，就要面临破产的结局。

###**什么是公司**

公司就是一个法人实体，作为法人，它可以像我们自然人一样签署合同，出借资金或者贷款，当然，也可以起诉或被起诉，等等。尽管公司的所有权的拥有者是股东，但是它们实际上是分开的，作为有限责任公司，因为负债破产的情况下，股东并没有连带责任，最多也就是把股本赔光而已，而多余的债务不需要赔付。

当公司刚刚建立起来的时候，它可能只被个别几个人拥有，股东并不是很多。但是当公司变得越来越大需要大量融资快速成长的时候，就需要上市了，一旦上市了，公司的股权就进入了金融市场可以进行买卖。这个时候公司的股东会变得非常多，但是这些股民对公司并没有实际操作的权利。所有权和控制权的分离给了公司持续发展的空间，当然，不这样的话，几千股民共同管理公司早就乱了套了。

公司制度是一个健康经济的基石，为什么这么说呢，因为在资本主义国家中，相对于经济来讲，公司是一个具有生产力的基础单元。作为公司，它可以:
- 提供有价值的商品和服务需要资本。
- 有生产能力企业（多产的）为顾客提供了产品，为社会提供了岗位，并且还让投资投资者赚得盆满钵满，这样互利共赢的行为推动了经济的发展。
- 公司如果越有效率募集资金并部署它们，这些可爱的赞助商（持券人（债券）和股东（股票））的回报就越丰厚

##财务经理和机会成本

财务经理主要负责公司的融资和投资决策。但是他更像是金融市场和公司连接的中间决策者。因为**融资就是融到别人的投资，投资就是投给别人的融资**，这使得财务经理将公司和金融市场通过投融资连接在了一起，过程大致如下:
- 公司进行融资，财务经理做出决策，从金融市场获得投资者的资金
- 然后将公司融到的资金进行公司运作或者购买实体资产（投资)
- 通过公司运作获得现金流
- 再返回给金融市场的投资者们

机会成本: 在面对选择时，当你选择其中某一个选项。其他选项中收益最大的选项可以成为机会成本。比如说你眼前有三个项目，它们的收益是 8%, 10%, 12%, 如果你选择了10%或8%的项目，那它的机会成本是 12% —— 你本可以获得12%的收益但是你失去了这个机会，所以12% 是机会成本。如果选择了12%,你的机会成本是10%,当然你已经获得了最大收益，这时候机会成本供参考。实际生活中的机会成本远比例子复杂，因为考量的因素太多，这使得机会成本的参考价值更高。机会成本是财务经理进行投资决策时的重要考量。


##公司目标

一个公司的目标并只是做大做强，**如何让股东的兜里都有钱，有更多的钱**也是其中之一。相比与做大做强，尽管很现实，但只是换一种说法罢了。一个公司可能有成千上万的股东，财务经理不能使他的决策满足所有人的口味，但是有一点大家都会说同意：**最大化公司的市值**。由于股份的价格是按公司市值的比例分配的，所以这样一来水涨船高，使得**股东的兜里都有钱，有更多的钱**。

但尽管如此，股东对于投资的想法仍然有分歧的，我们都知道**风险与收益成正比**，有些股东不喜欢财务经理去触碰那些高风险高回报的投资项目，但是有些风险承受能力高的股东则期望更多的回报。作为财务经理，他/她需要很好地做出权衡。

情况不仅如此，公司要挣钱，股东要吃饭。这看上去并不冲突:公司做大了股东不就更有钱了吗？但是，什么时候算是做大，股东什么时候能得到钱？公司是法人，股东是自然人，都是人，都要接触到投资活动。股东也希望尽可能**快**地拿到更多的钱，他们并不喜欢等待。提一个名词，分红：公司要分红，分出去的红就是分出去的资本。**如果削减分红，这些钱用来投资可以获得更大的收益**，对公司来讲当然是好的，对股东来说 --从长期来看是好的。但是他们愿意这样做吗？**分歧出现了**，公司的利益和股东的利益走向对立面。这很麻烦，站在公司和股东的中间，财务经理需要做出他/她自己权衡后的选择。经理做出的选择不能满足股东的需求，我们称之为**代理问题**。












































