title: 财务报表分析：报表简介
date: 2016-09-08
tag: 公司金融

[TOC]

<!--Sidebar-->

##财务报表简介

财务报表指日常会计核算资料的基础上按照规定方式编写的综合反映企业某一日期的财务状况，经营成果的书面文件。它主要分为三大部分，它们分别是:

- 资产负债表(Balance sheet)，公司的资产和负债，体现公司在某一时刻下的财务状况
- 损益表 (Income statement)，指出公司的运营表现，盈利或者亏损
- 现金流量表 (Cash Flow statement) 指出在某一时间段内公司的现金流动情况

通过这些报表我们可以多方位地了解到公司的状况。
- 对于经理来说，可以更清楚地了解公司的表现和潜力；
- 对于股东来说，财务报表可以对公司估值，推测公司的未来前景；
- 对债权人来讲，可以了解到公司财务的健康度是否可以偿还债务。
- 对政府来讲，可以有效地监管公司，进一步避免偷税漏税。

我们先来看损益表;

##损益表(Income statement)

损益表展现的是公司的总收入(Revenue不是净利润 = 销售数量 x 单价)，开销(Expense),和净利润

    总收入(Revenue） - 开销(Expense) = 净收入（Income）
    
虽然是作为记录销售收入的损益表，但是上面记录的净收入和我们的现金流入并不一定相等，比如：

- 使用权责发生制(accural accounting)，当产品售出并完成交接后计算收入和支出（比如收到一百万的预付款，一年内分五次向客户提供产品。即便一百万进账，只有每次提供服务后才能记录收入二十万)
- 设备折旧的开销并不影响现金流量

<!--More-->

先上表格感受一下：
        
>**A公司损益表**

|  条目                                      |  2015        |
|:------------------------------------------| ------------:|
| Revenue               | $ 1,725,000|
|  Cost of Good sold    | $ 525,000|
|**Gross Profit**|$1,200,000|
|**Operating Expenses**|-|
|Advertising|$5,000|
|Employee benifits|$15,000|
|Insurance|$25,000|
|Office supply|$10,000|
|Salaries and wages|$550,000|
|**Operating Income before depriciation**|$595,000|
|Depreciation|$120,000|
|Operating profit|$475,000|
|Interest Expense|$25,000|
|**Earning before tax**|$450,000|
|Extrodinary expense|$20,000|
|Tax expense(40%)|$270,000|
|Net Income|$50,000|
|Dividends|-|
|Earning per share|-|

从总收入(Revenue)到净收入(Net Income)，损益表大致分为五个部分:

1. 毛利润（Gross Profit)
    - 总收入 - 生产成本 = 毛利润
2. 营业收入(Operating income)
    - 毛利润 - 运营成本 = 营业收入（计算设备折旧前，也称为EBITDA - Earning befor Interest Tax Deprciation & Amortization）
    - 运营成本是非直接生产成本(生产材料生产劳动力以外的成本)，比如公司福利，购买的保险，办公用品，水电花销（非工厂使用) 
3. 营业利润(Operation Profit)
    - 营业收入 - 折旧开支 = 营业利润
4. 税前利润，这一环节清偿债务利息
    - 如果没有负债或者不需要支付利息的话 = 营业利润
    - 税前利润 = 营业利润 - 债务利息
5. 税后利润（净利润)
    - 所得税 = 税前利润 x 税率
    - 净利润 = 税前利润 - 所得税
    - 值得一提的是非常费用(extraordinary expense),即非常规损失（灾害损失，失窃等），对于这些开销可以进行税务减免，假如税率为40%,损失为20,000.我们可以将花销记为 **损失金额 x (1 - 税率) = 16，000**
    
×其中2,3两步可以分开也可以合并，折旧成本可以计算在运营成本内

###损益表的作用
通过上面的例子我们不难看出，损益表与公司的经营成本利润息息相关。我们可以通过损益表来计算各部分支出所占营业额比例并用来分析利润增减变化的原因，作为公司经营决策的依据，优化公司的运营结构，增加利润空间。

###生产成本/实际成本

在这里我们顺便提一下人们盛传的"一双耐克鞋的成本只需要8美元却卖100美元",实际上这是不准确的，因为8美元是鞋的生产成本而并不是公司实际的成本。我们再来看上面的损益表: 销售额1,725,000美元，生产成本只有525,000美元，毛利润则高达1,200,000美元，是生产成本的两倍还多！所以我们可以由此推断出公司的售价太高以至于不切实际吗？并不是这样的，我们来看一下净利润(Net Income),只有50,000美元，实际利润率只有3%不到

###股息和每股收益
损益表的最后部分是股息(dividends)和每股收益(Earning per share)，其中每股收益是将净收入按股份分配给股东:

    每股收益 = 净收入 / 股份数量

股息则为公司对股东的分红，但是股息和每股收益往往**并不相同**，这将涉及到[股东权益变动表]()的内容。



损益表展现了公司的运营结构，就好比我们看到了公司的筋脉。但是我们并不能直观地了解到公司的规模（即便我们可以通过营业额来推测，但并不准确）。要了解公司的规模 —— 是猴子， 猩猩 ， 还是人，我们需要的是[资产负债表]().



##资产负债表

资产负债表是公司资产(Asset)和负债(Liability)的速写，它展现了公司的规模以及资产债务配置。大致有以下几点：

- 公司的总资产，总债务和股东权益
- 公司投资的项目，融资的方式和时间的长短
- 营运资金，公司财务健康状况
- 一些其他细节

还是先来看一张报表：

>**B公司资产负债表**

|  条目                                    |  2016  |
|:----------------------------------------| ------:|
|**Asset**|-|
|Cash|$35|
|Account receivable(A/R)|$1,450|
|Inventory|$930|
|Other Current Asset|$402|
|**Total current asset**|$2,817|
|Gross Financial Assets|$7,500|
|- Acc Dep|($2,582)|
|Net Financial Assets|$4,918|
|**Total Assets**|$7,735|
|**Liability**|-|
|Account Payable(A/P)|$373|
|Note Payable(N/P)|$90|
|Other Current Liability|$1,554|
|**Total Current Liability**|$2,017|
|Long term debt|$2,100|
|**Equity**|-|
|Common Stock|$1,894|
|Retained Earning|$1,724|
|**Total Equity**|$3,618|
|**Total Liability & and Equity**|$7,735|


首先，根据上表我们不难看出:

    总资产(Total Asset) = 总债务(Total Liability ) + 总股东权益(Total Equity) 

这个公式很基础，也很重要。它的道理其实也很简单: 假如你和你的朋友合资开了一家公司。公司的总资产是100w, 其中60w是你和你的朋友出的资金，另外四十万是银行的贷款。资产负债表会显示：总资产100w,总负债40w,股东权益60w。 如果我们不能够将它配平，股东的钱加上银行的资金大于或者小于100w。我们就会莫名其妙多了/少了一笔资金，这是非常不合理的，也很吓人。


###资产

资产分为两种，流动资产和固定资产。我们使用流动性来区分这二者: 在公司的账簿上只能**挂一年及以内**的，我们称为流动资产，反之则为固定资产，首先我们来看流动资产：

流动资产通常有:

- 现金
- 应收账款，（提前预支给顾客商品，并未立即收到付款的项目。也就是我们说的赊账）
- 存货（未卖出去的商品）
- 预付费的项目（保险，房租，水电杂费等)
- 短线持有股票债券等（一年以内)

其中，现金的流动性是最好的。其他项目，相比于固定资产，也是最容易套现的。公司可以在需要的时刻使用现金或者套现来清偿债务。

固定资产则是一些本身变动并不是很大的资产。你可能今天手里有三百万现金，明天拿去投资（现金流出),但是你如果今天买了一栋楼，那么这个楼是长期投资并且会在很长一短时间内（一年以上）出现在资产负债表的相同位置，这栋楼就是你的固定资产。固定资产通常如下：

- 生产装备设备
- 楼房，地皮
- 长线持有的债券
- 折旧费用（负值）
- 无形资产（商标，专利，等等）

相比于流动资产，固定资产的套现能力要差很多。作为固定资产，我们不得不提一个名词 - **账面价值(book value)**。 账面价值就是以历史成本为衡量标准的资产价值。假如你十年前花了2000万买了一栋楼，十年后的今天它的市值已经涨到了2个亿。根据历史成本原则，我们在资产负债表上仍然将这栋楼的价值记为2000万。如果不使用这种方法而是根据市场价格来报的话，试想一下我们的损益表和现金流量表会有怎样的变化。-- 20xx年，如果房子当年贬值到1000万，而你的税前收入为500万，但是你不得不把房价亏损记入损益表，这时损益表显示你税前亏损500万。



###负债

负债与资产相对也相似。分为流动债务与长期债务，仍然以一年为衡量标准。负债是公司筹资或融资后的产物，负债过少不利于公司发展，而负债过多容易破产。通常负债表显示的债务为公司的资金来源，数额或者利息：

- 银行贷款
- 公司发行的债券
- 到期应付利息
- 未付工资， 未付货款



###股东权益


股东权益通常是指股东在公司所投的资金和相应回报之和，它通常包含

- 流通的股票
- 股票除面值外的价值 （ 发行时10元一股，流通时涨到100元，90元为是面值以外的价值）
- 未分配的利润




即便我们可以通过损益表看到公司的盈亏状况和收入支出的结构，可以通过资产负债表看到公司的规模，资产配置，负债状况和股东权益。但是作为利益相关者（投资者或内部管理人员)， 我们还需要了解公司资金的动向：从哪儿来，到哪儿去，用了多少。这个时候我们需要**现金流量表**



##现金流量表

现金流量表是指记录企业在一段时间内现金或者现金等价物流入或流出的报表。它具体列举了公司各项经济活动中的现金流入的来源和流出的具体原因，反应了资产负债表中项目的资金变动。由于资产负债表记录的是使用历史成本的账面价值容易引起误导，而损益表的净利润又不能代表公司的现金收入，所以对于投资者或者财务经理来讲，现金流量表在决策时有着举足轻重的地位。

###现金流量表的构成

现金流量表主要分为三个部分：

- 通过运营产生的现金流动
    - 商品出售后的资金回流
    - 劳动力，生产材料的支付
    - 日常运营开销
    - ...
- 通过投资产生的现金流动
    - 通过投资获得的利润
    - 买卖不动产的资金流出
    -  ...
- 通过筹资产生的现金流动
    - 通过筹资而流入的现金流
    - 公司所需支付的利息，分红
    -  ...

###现金流量表的作用

基于现金流量表，我们可以
- 分析公司的趋势，
- 创现能力，现金流量表评估公司自身创造现金流量（比如回收应收账款)的能力，
- 偿债能力，如果现金与流动负债比率过低，偿债压力会非常大。


###现金流量表的编制

>**直接法**

下面是一张使用直接法(Direct method)编制的现金流量表（括号内为流出）

>**C公司现金流量表(直接法)**

|  条目                                    |  2015  |
|:----------------------------------------| ------:|
|**Cash flow from operating activities**|-|
|cash collected from customers|$5,486|
|cash paid for labor|($890)|
|cash paid for material|($1,134)|
|Lease payment|($400)|
|Sales of A/R|$236|
|Net cash flow from operating acivities|$3,298|
|**Cash flow from investing activities**|-|
|Dividends received|$35|
|Purchase of equipment|($453)|
|Purchase of bonds|($350)|
|Net cash flow from investing acivities|($768)|
|**Cash flow from financing activities**|-|
|Interest paid|($15)|
|Proceed of short-term debt|$800|
|Net cash flow from financing acivities|$785|
|**Cash flow from income taxes**|
|Cash paid for current tax expense|($935)|
|**Net change in cash**|$2,470|
|**Beginning cash**|$3,153|
|**Ending cash**|$5,623|


直接法是指通过现金流动的主要类别直接反映企业经营活动的现金流量的方法。上表反映了公司具体的现金流动（销售资金回流，各项成本支付，各类投资融资项目的现金流动。采用直接法可以更精准地揭示现金的来源和用途，对未来现金流量的预测有帮助。


>**间接法**

间接法是通过在以当前净利润的基础上通过调整项目来反映企业经营活动的方法。它可以通过比较净收益和净现金流量的差别来分析收益的质量和资金管理状况。


我们先回到资产负债表，观察它的变化：

>**B公司资产负债表**

|  条目                                    |  2016  |  2015  |
|:----------------------------------------| ------:| ------:|
|**Asset**|-|-|
|Cash|$35|$350|
|Account receivable(A/R)|$1,450|$1,125|
|Inventory|$930|$245|
|Other Current Asset|$402|$351|
|Total current asset|$2,817|$2,071|
|Gross Financial Assets|$7,500|$6,400|
|- Acc Dep|($2,582)|($2,313)|
|Net Financial Assets|$4,918|$4,087|
|Total Assets|$7,735|$6,158|
|**Liability**|-|-|
|Account Payable(A/P)|$373|$$325|
|Note Payable(N/P)(1 year)|$90|$120|
|Other Current Liability|$1,554|$1,265|
|Total Current Liability|$2,017|$$1,710|
|Long term debt|$2,100|$1,200|
|**Equity**|-|-|
|Common Stock|$1,894|$2,354|
|Retained Earning|$1,724|$894|
|Total Equity|$3,618|$3,248|
|Total Liability & and Equity|$7,735|$6,158 | 

我们可以通过一些简单的会计公式来推导：

    总资产(Total Asset) = 总债务(Total Liability ) + 总股东权益(Total Equity) 
    流动资产 + 固定资产 = 流动债务 + 长期债务 + 总股东权益
    现金 + 非现金流动资产 + 固定资产 = 流动债务 + 长期债务 + 总股东权益

所以我们可以得到

    现金 = 流动债务 + 长期债务 + 总股东权益 - 非现金流动资产 - 固定资产 
    
可以看出，债务和股东权益与现金正相关，而非现金资产与现金负相关。可以把它们归结为两类，现金的来源和用途

- 增加负债和股东投资的本质是企业从外部或内部获取现金，所以是现金的来源
- 资产的增加可以说是企业对其本身或外部进行投资，所以是现金的用途
    
归好类后我们来看运营产生的现金流动

|  条目                                    |  2016  |
|:----------------------------------------| ------:|
|**Cash flow from operating activities**|-|
| - A/R |($325)|
| - Inventory|($685)|
| - Other current Asset|$(51)|
| + Accumulated Deprication|$269|
| + A/P|$48|
|Net cash flow from operating acivities|($744)|


值得一提的是，我们Accumulated Deprication（折旧贬值）一项，在损益表里记为开销，在资产负债表中也是抵消资产的项目，为什么现金流动是流入呢？
>因为作为开销，这个钱本来是应该流出的。我们以损益表的净利润为基础进行调整，**已经扣除了折旧损失**而**折旧是无形的无法流出**。所以我们需要在现金流量表里面补回来。

在来看我们的通过投资产生的现金流动

|  条目                                    |  2016  |
|:----------------------------------------| ------:|
|**Cash flow from investing activities**| | 
| - Gross Financial Assets(Purchase)|($1,100)|
|Net cash flow from investing acivities|($1,100)|

在来看我们的通过融资产生的现金流动

|  条目                                    |  2016  |
|:----------------------------------------| ------:|
|**Cash flow from investing activities**| | 
| - N/P|($30)|
| + Long term debt|$900|
| + Other current Liability|$289|
| - Common stock|($460)|
|Net cash flow from financing acivities|($699)|

假设我们的净利润是$$2,228M于是我们有了一张完整的现金流量表：

>**B公司现金流量表(间接法)**

|  条目                                    |  2016  |
|:----------------------------------------| ------:|
|**Net Income**|$2,228|
|**Cash flow from operating activities**|-|
| - A/R |($325)|
| - Inventory|($685)|
| - Other current Asset|$(51)|
| + Accumulated Deprication|$269|
| + A/P|$48|
|Net cash flow from operating acivities|($744)|
|**Cash flow from investing activities**| | 
| - Gross Financial Assets(Purchase)|($1,100)|
|Net cash flow from investing acivities|($1,100)|
|**Cash flow from investing activities**| | 
| - N/P|($30)|
| + Long term debt|$900|
| + Other current Liability|$289|
| - Common stock|($460)|
|Net cash flow from financing acivities|($699)|
|**Net Cash Flow**|($315)|
|Beginning cash|$350|
|Ending Cash|$35|

和之前的资产负债表相比，仔细看看少了什么？没错，是Retained Earnings(未分配利润)，道理很简单，未分配利润包含在了Net Income（净利润)里面。有趣的是，上面表格中除了我们除了net income 以外，所有数字来源于资产负债表，这意味着我们可以通过初始现金和结算时的现金和资产负债表中的各项变动来倒着推算公司的净利润

根据公司运营产生的现金流动，我们不难看出，公司的现金大幅减少而资产大幅增加，这说明了**公司正在进行扩张**。而公司的现金不足以支撑公司的扩张，所以公司先通过增加债务的方式获得资金。





三种报表互相关联，从不同角度评估了公司的财务状况，是投资者和管理者决策时的重要工具。